Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  CATIA V5 Part / Assembly
  Catia | Features in Product löschen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
KISTERS 3DViewStation WebViewer: Sichere 3D-Visualisierung - jederzeit und überall
Autor Thema:  Catia | Features in Product löschen (271 mal gelesen)
Designer92
Mitglied


Sehen Sie sich das Profil von Designer92 an!   Senden Sie eine Private Message an Designer92  Schreiben Sie einen Gästebucheintrag für Designer92

Beiträge: 5
Registriert: 30.12.2019

erstellt am: 11. Apr. 2024 13:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Strukturbaum.JPG

 
Hallo Community,
ich möchte gerne aus einem Product (>50 Parts) chamfers löschen. Besteht die Möglichkeit, dass ich über das Product alle chamfers suche und selektiere? Nach der Selektion würde ich gerne alle chamfers löschen (Part-übergreifend). Gibt es da eine Möglichkeit oder muss ich jedes Part einzeln aktivieren und die chamfers manuell löschen?
Grüße!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wolfi_z
Moderator
Konstrukteur




Sehen Sie sich das Profil von wolfi_z an!   Senden Sie eine Private Message an wolfi_z  Schreiben Sie einen Gästebucheintrag für wolfi_z

Beiträge: 2439
Registriert: 04.12.2004

CATIA V5 in der aktuellen Umgebung des jeweiligem OEM ;-)
NX 2212 Daimler

erstellt am: 11. Apr. 2024 13:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Designer92 10 Unities + Antwort hilfreich

Hallo,

(1) Ich habe das zunaechst mal nach Part / Assembly verschoben, dort findet es eher Aufmerksamkeit.
(2) Du kannst ueber Edit-Search eine Suchmaske oeffnen, in der Du ueber Einstellung Workbench = Part Design und dann Feature = Chamfer in der Tat alle Chamfers finden kannst (Laden der Baugruppe in Design Mode notwendig)
Ob Du sie auf einmal loeschen kannst, musst Du ausprobieren.
Alle Achsensysteme finden und auf einen Schlag ins Hide hat jedenfalls schon mal funktioniert 

LG ... Wolfi 

------------------
NX neun minus CATIA fuenf ergibt Hartz IV 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Randle
Mitglied
CAD/PLM Consultant


Sehen Sie sich das Profil von Randle an!   Senden Sie eine Private Message an Randle  Schreiben Sie einen Gästebucheintrag für Randle

Beiträge: 732
Registriert: 12.04.2003

Win10 x64
CATIA V5 R18-R21, R27-29

erstellt am: 12. Apr. 2024 11:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Designer92 10 Unities + Antwort hilfreich

Hallo zusammen,

das wird so (Suche und Löschen) nur mit Einschränkungen (Part innerhalb der Baugruppe muss aktiviert werden, gilt dann nur für das aktive Part) gehen.

Habe ein kleines Makro geschrieben, das alle Chamfer löscht.

Code:

Sub CATMain()

Dim oDoc As ProductDocument
On Error GoTo Quit
Set oDoc = CATIA.ActiveDocument
oDoc.Selection.Clear
oDoc.Selection.Search "'Part Design'.Chamfer;all"
oDoc.Selection.Delete
oDoc.Product.Update
MsgBox "Finish", vbInformation, "Finish"
Exit Sub
Quit:
MsgBox "Wrong document type", vbInformation, "Error"
End Sub


Hinweis:
Allerdings kann es auch hier zu Problemen führen, wenn nach einem Chamfer weitere Features (aufbauend auf Flächen/Kanten des Chamfers) existieren.

Gruß Randle

------------------
Planung ersetzt Fehler durch Irrtum!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Designer92
Mitglied


Sehen Sie sich das Profil von Designer92 an!   Senden Sie eine Private Message an Designer92  Schreiben Sie einen Gästebucheintrag für Designer92

Beiträge: 5
Registriert: 30.12.2019

erstellt am: 15. Apr. 2024 09:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Vielen Dank für Makro. Ein Makro würde das Ganze sehr erleichter!!!  Ich bekomme eine Fehlermeldung ScriptingErr_1002. Statement: Dim oDoc As ProductDocument" Line 2, Column 9 wird bemängelt... Makros funktionieren versionunanhängig, oder?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 11944
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 15. Apr. 2024 09:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Designer92 10 Unities + Antwort hilfreich

Servus

Als was hast du die Makro abgespeichert?
Ändere mal die Dateiendung in CATScript

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Designer92
Mitglied


Sehen Sie sich das Profil von Designer92 an!   Senden Sie eine Private Message an Designer92  Schreiben Sie einen Gästebucheintrag für Designer92

Beiträge: 5
Registriert: 30.12.2019

erstellt am: 15. Apr. 2024 09:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Designer92
Mitglied


Sehen Sie sich das Profil von Designer92 an!   Senden Sie eine Private Message an Designer92  Schreiben Sie einen Gästebucheintrag für Designer92

Beiträge: 5
Registriert: 30.12.2019

erstellt am: 15. Apr. 2024 11:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Das Script endet jetzt mit .CATScript. Die Gehlermeldung ist weiterhin ScriptingERR_1002.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Randle
Mitglied
CAD/PLM Consultant


Sehen Sie sich das Profil von Randle an!   Senden Sie eine Private Message an Randle  Schreiben Sie einen Gästebucheintrag für Randle

Beiträge: 732
Registriert: 12.04.2003

Win10 x64
CATIA V5 R18-R21, R27-29

erstellt am: 15. Apr. 2024 13:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Designer92 10 Unities + Antwort hilfreich

Hallo,
geschrieben habe ich das in VBA. Ich glaube CATScript/catvbs kommen mit den Sprungmarken nicht klar.

Gruß Randle

------------------
Planung ersetzt Fehler durch Irrtum!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2024 CAD.de | Impressum | Datenschutz